/*
 * DESCRIPTION:
 * text.c header.
*/

#pragma once

#include "font.h"
#include "texture.h"
#include "surface.h"

typedef struct GlyphMetrics
{
	s32 minX;
	s32 minY;
	s32 maxX;
	s32 maxY;
	s32 advance;
} GlyphMetrics;

static const SDL_Color GLYPH_COLOR = {255, 255, 255, 255};

s32 glyph_width_get(Font* font, char glyph);
s32 glyph_kerning_get(Font* font, char glyph, char nextGlyph);
void glyph_texture_init(Texture* texture, Font* font, char glyph);
void glyph_metrics_get(GlyphMetrics* self, Font* font, char glyph);
